function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-solid-card);\n                ",
        ": 0 3.75rem 7rem -0.5rem rgba(0, 0, 0, 0.08);\n                ",
        ": var(--surface-transparent-primary);\n                ",
        ": var(--overlay-blur);\n                ",
        ": var(--overlay-soft);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1.5rem;\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0;\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 1.25rem;\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, drawerTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), drawerTokens.background, drawerTokens.shadow, drawerTokens.contentBackgroundColor, drawerTokens.drawerOverlayWithBlurColor, drawerTokens.drawerOverlayColor)
        },
        size: {
            m: css(_templateObject1(), drawerTokens.padding)
        },
        borderRadius: {
            none: css(_templateObject2(), drawerTokens.borderRadius),
            default: css(_templateObject3(), drawerTokens.borderRadius)
        }
    }
};
